dllist(1)

NAME
dllist - show the sources to be downloaded for compiling a port

SYNOPSIS
dllist [--all] [-v] <port1> [port2 ... portN]
dllist --diff [-v]

DESCRIPTION
dllist displays a list of URLs that have to be downloaded for compiling the given port(s), using prt-get(8) to collect information on ports and installation status.

The script can list the files needed for three typical operations:

    • installing individual ports (prt-get depinst)

    • reinstalling a port and all its dependencies (prt-get quickdep $port | xargs prt-get update -fr)

    • updating all outdated ports (prt-get sysup)

To obtain the list needed for an update -fr operation, pass the --all option. To obtain the list needed for a sysup operation, pass the --diff option. Otherwise, the list will include only those source files associated with not-yet-installed ports.

dllist filters the list based on the contents of $PKGMK_SOURCE_DIR, reporting any source files that are not found in the expected download location on the filesystem. It is the user's responsibility to ensure that $PKGMK_SOURCE_DIR is consistent for all invocations of pkgmk(8); otherwise dllist might exaggerate the number of downloads needed. For a similar reason, moving or renaming downloaded source files using a mechanism other than the ‘renames’ array of Pkgfile(5) will cause dllist to report them as needing a fresh download.

OPTIONS

--all
    read the source array of each dependency (even those already installed) and print the URLs that have no corresponding file in $PKGMK_SOURCE_DIR

--diff
    display URLs needed for a system upgrade

-v  append saved as <file> after each source that pkgmk(8) would rename

EXAMPLES

dllist gimp
display the missing sources needed to build gimp

dllist --all gphoto2
display the missing sources needed to rebuild gphoto2 and all its dependencies

dllist --diff
list the files to be downloaded for a system upgrade

dllist --diff -v | \
awk '{if (/saved as /) {
        system("curl -o " $NF " " $1)
     } else {
        system("curl -O -J " $1) }}'

save all the necessary sources for a system upgrade, using the names that pkgmk(8) will recognize. (This example assumes you are already in $PKGMK_SOURCE_DIR)

SEE ALSO
prt-get(8), Pkgfile(5), pkgsize(1)

AUTHORS

Johannes Winkelmann <jw at tks6 dot net>

John McQuah <jmcquah at disroot dot org>